Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class AudioRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.AudioRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class AudioRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`AudioRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAudioUrl()`
`String` | `getCssClassName()`
`Map<String,Object>` | `getDataMap()`
`String` | `getDataType()`
`String` | `getId()`
`int` | `hashCode()`
`void` | `setAudioUrl(String audioUrl)`
`void` | `setCssClassName(String cssClassName)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setDataType(String dataType)`
`void` | `setId(String id)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioRepresentation

    public AudioRepresentation()

Method Detail

### getCssClassName

    public String getCssClassName()

### setCssClassName

    public void setCssClassName(String cssClassName)

### getId

    public String getId()

### setId

    public void setId(String id)

### getDataType

    public String getDataType()

### setDataType

    public void setDataType(String dataType)

### getAudioUrl

    public String getAudioUrl()

### setAudioUrl

    public void setAudioUrl(String audioUrl)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.